package org.ballerinalang.stdlib.internal.generated.providers;

import org.ballerinalang.annotation.JavaSPIService;
import org.ballerinalang.model.types.TypeKind;
import org.ballerinalang.natives.NativeElementRepository;
import org.ballerinalang.natives.NativeElementRepository.NativeActionDef;
import org.ballerinalang.natives.NativeElementRepository.NativeFunctionDef;
import org.ballerinalang.spi.NativeElementProvider;

@JavaSPIService ("org.ballerinalang.spi.NativeElementProvider")
public class StandardNativeElementProvider implements NativeElementProvider {

	@Override
	public void populateNatives(NativeElementRepository repo) {
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "execBallerinaDoc", new TypeKind[] { TypeKind.ARRAY, TypeKind.STRING, TypeKind.STRING, TypeKind.STRING, TypeKind.ARRAY, TypeKind.BOOLEAN, TypeKind.MAP, TypeKind.STRING, TypeKind.BOOLEAN }, new TypeKind[] { TypeKind.STRING, TypeKind.RECORD }, "org.ballerinalang.stdlib.internal.execballerina.ExecBallerinaDoc"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "parseJson", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.JSON }, "org.ballerinalang.stdlib.internal.ParseJson"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "byteArrayToString", new TypeKind[] { TypeKind.ARRAY, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.stdlib.internal.conversion.ByteArrayToString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "sign", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.RECORD }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.stdlib.internal.jwt.signature.Sign"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "verifySignature", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING, TypeKind.RECORD }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.jwt.signature.VerifySignature"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.init", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.stdlib.internal.file.Init"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.list", new TypeKind[] {  }, new TypeKind[] { TypeKind.ARRAY, TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.List"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.getPathValue", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.stdlib.internal.file.GetPathValue"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.getExtension", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.stdlib.internal.file.GetExtension"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.exists", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.stdlib.internal.file.PathExists"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.createFile", new TypeKind[] {  }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.CreateFile"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.getModifiedTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.GetModifiedTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.getParentDirectory", new TypeKind[] {  }, new TypeKind[] { TypeKind.OBJECT, TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.GetParentDirectory"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.isDirectory", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.stdlib.internal.file.IsDirectory"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.resolve", new TypeKind[] { TypeKind.ARRAY }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.Resolve"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.getName", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.stdlib.internal.file.GetName"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.copyTo", new TypeKind[] { TypeKind.OBJECT }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.CopyTo"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.createDirectory", new TypeKind[] {  }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.CreateDirectory"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.toAbsolutePath", new TypeKind[] {  }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.ToAbsolutePath"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.moveTo", new TypeKind[] { TypeKind.OBJECT }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.MoveTo"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.delete", new TypeKind[] {  }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.stdlib.internal.file.Delete"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "compressToByteArray", new TypeKind[] { TypeKind.RECORD }, new TypeKind[] { TypeKind.ARRAY, TypeKind.RECORD }, "org.ballerinalang.stdlib.internal.compression.CompressToByteArray"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "compress", new TypeKind[] { TypeKind.OBJECT, TypeKind.OBJECT }, new TypeKind[] { TypeKind.RECORD }, "org.ballerinalang.stdlib.internal.compression.Compress"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "decompressFromByteArray", new TypeKind[] { TypeKind.ARRAY, TypeKind.RECORD }, new TypeKind[] { TypeKind.RECORD }, "org.ballerinalang.stdlib.internal.compression.DecompressFromByteArray"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "decompress", new TypeKind[] { TypeKind.OBJECT, TypeKind.OBJECT }, new TypeKind[] { TypeKind.RECORD }, "org.ballerinalang.stdlib.internal.compression.Decompress"));
	}

}
